Vendor Order Items

Working with vendor orders items.

List Vendor Order Items

GET /v1/vendor_orders/:vendorOrderId/items

Extracts a list of items in a given vendor order.

Parameter Regular Expressions

  • :vendorOrderId: [1-9][0-9]{0,}

Return Type

array<VendorOrderItems>

Available expands

FieldReturn TypeDescription
product_variationProductVariationsMarketplace listable products’ data.

Rate limit cost

Each call to this endpoint deducts 3 credits from your request bucket.

Scopes

This endpoint is only available for users with scope APP::VENDOR-ORDERS::READ.

<?php

// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();

// Make the request
$response = $client->request("GET", "https://public-api.bladepro.io/v1/vendor_orders/123/items?expand=*", [
    "headers" => [
        "Content-Type" => "application/json",
        "Access-Token" => "my-token-from-login",
    ],
]);

// Process the response
$responseBody = json_decode($response->getBody(), true);
require 'rest-client'
require 'json'

# Make the request
response = RestClient.get 'https://public-api.bladepro.io/v1/vendor_orders/123/items?expand=*', {
  access_token: 'my-token-from-login',
  content_type: :json,
  accept: :json
}

# Process the response
puts response.body
// Require the node HTTP module
var request = require("request");

// Make the request
request({
    method: "GET",
    json: true,
    uri: "https://public-api.bladepro.io/v1/vendor_orders/123/items?expand=*",
    headers: {
        "Access-Token": "my-token-from-login",
        "Content-Type": "application/json",
    },
    (error, response, body) => {
        // Process the response
        console.log(body);
    },
});
# Make the request
curl --location --request GET 'https://public-api.bladepro.io/v1/vendor_orders/123/items?expand=*' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login'

Example result:

{
    "meta": {
        "request_reference": "235chjz9h-c893v86",
        "paging": {
            "page": 1,
            "records": 1,
            "per_page": 250,
            "total_records": 1,
            "total_pages": 1
        }
    },
    "data": [
        {
            "id": 4567,
            "vendor_order_id": 123,
            "vendor_order_item_status_id": 1,
            "model_number": "MODEL_309845",
            "asin": "ASIN34w5-068",
            "sku": "SKU_01",
            "product_variation_id": 687,
            "name": "Example Product 01",
            "expected_delivery_date": "2026-09-01T07:38:35.050Z",
            "confirmed_delivery_date": "2026-09-02T07:38:35.050Z",
            "submitted_quantity": 1000,
            "accepted_quantity": 850,
            "received_quantity": null,
            "unit_cost": 12.34,
            "created": "2026-08-27T07:38:35.050Z",
            "modified": "2026-08-27T07:38:35.050Z"
        }
    ]
}

Get Vendor Order Item

GET /v1/vendor_orders/:vendorOrderId/items/:vendorOrderItemId

Retrieves a single vendor order item.

Parameter Regular Expressions

  • :vendorOrderId: [1-9][0-9]{0,}
  • :vendorOrderItemId: [1-9][0-9]{0,}

Return Type

VendorOrderItems

Rate limit cost

Each call to this endpoint deducts 1 credit from your request bucket.

Scopes

This endpoint is only available for users with scope APP::VENDOR-ORDERS::READ.

<?php

// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();

// Make the request
$response = $client->request("GET", "https://public-api.bladepro.io/v1/vendor_orders/123/items/4567", [
    "headers" => [
        "Content-Type" => "application/json",
        "Access-Token" => "my-token-from-login",
    ],
]);

// Process the response
$responseBody = json_decode($response->getBody(), true);
require 'rest-client'
require 'json'

# Make the request
response = RestClient.get 'https://public-api.bladepro.io/v1/vendor_orders/123/items/4567', {
  access_token: 'my-token-from-login',
  content_type: :json,
  accept: :json
}

# Process the response
puts response.body
// Require the node HTTP module
var request = require("request");

// Make the request
request({
    method: "GET",
    json: true,
    uri: "https://public-api.bladepro.io/v1/vendor_orders/123/items/4567",
    headers: {
        "Access-Token": "my-token-from-login",
        "Content-Type": "application/json",
    },
    (error, response, body) => {
        // Process the response
        console.log(body);
    },
});
# Make the request
curl --location --request GET 'https://public-api.bladepro.io/v1/vendor_orders/123/items/4567' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login'

Example result:

{
    "meta": {
        "request_reference": "235chjz9h-c893v86"
    },
    "data": {
        "id": 4567,
        "vendor_order_id": 123,
        "vendor_order_item_status_id": 1,
        "model_number": "MODEL_309845",
        "asin": "ASIN34w5-068",
        "sku": "SKU_01",
        "product_variation_id": 687,
        "name": "Example Product 01",
        "expected_delivery_date": "2026-09-01T07:38:35.050Z",
        "confirmed_delivery_date": "2026-09-02T07:38:35.050Z",
        "submitted_quantity": 1000,
        "accepted_quantity": 850,
        "received_quantity": null,
        "unit_cost": 12.34,
        "created": "2026-08-27T07:38:35.050Z",
        "modified": "2026-08-27T07:38:35.050Z"
    }
}

Update Vendor Order Item

PUT /v1/vendor_orders/:vendorOrderId/items/:vendorOrderItemId

Parameter Regular Expressions

  • :vendorOrderId: [1-9][0-9]{0,}
  • :vendorOrderItemId: [1-9][0-9]{0,}

Request Body

UpdateVendorOrderItem

Return Type

VendorOrderItems

Types for the Request Body

UpdateVendorOrderItem (root level)

KeyDescriptionTypesRestrictions
vendor_order_item_status_idID of the status the item needs to take.integerrequired
not null
min is 1
accepted_quantityAccepted quantity.integerrequired
not null
min is 0
expected_delivery_dateExpected delivery date.daterequired
not null

Rate limit cost

Each call to this endpoint deducts 2 credits from your request bucket.

Scopes

This endpoint is only available for users with scope APP::VENDOR-ORDERS::MANAGE.

<?php

// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();

// Make the request
$response = $client->request("PUT", "https://public-api.bladepro.io/v1/vendor_orders/123/items/4567", [
    "body" => json_encode([
        "vendor_order_item_status_id" => 1,
        "accepted_quantity" => 850,
        "expected_delivery_date" => "2026-09-01T07:38:35.051Z",
    ]),
    "headers" => [
        "Content-Type" => "application/json",
        "Access-Token" => "my-token-from-login",
    ],
]);

// Process the response
$responseBody = json_decode($response->getBody(), true);
require 'rest-client'
require 'json'

# Make the request
response = RestClient.put 'https://public-api.bladepro.io/v1/vendor_orders/123/items/4567', {
  vendor_order_item_status_id: 1,
  accepted_quantity: 850,
  expected_delivery_date: "2026-09-01T07:38:35.051Z",
}, {
  access_token: 'my-token-from-login',
  content_type: :json,
  accept: :json
}

# Process the response
puts response.body
// Require the node HTTP module
var request = require("request");

// Make the request
request({
    method: "PUT",
    json: true,
    uri: "https://public-api.bladepro.io/v1/vendor_orders/123/items/4567",
    body: {
        "vendor_order_item_status_id": 1,
        "accepted_quantity": 850,
        "expected_delivery_date": "2026-09-01T07:38:35.051Z"
    },
    headers: {
        "Access-Token": "my-token-from-login",
        "Content-Type": "application/json",
    },
    (error, response, body) => {
        // Process the response
        console.log(body);
    },
});
# Make the request
curl --location --request PUT 'https://public-api.bladepro.io/v1/vendor_orders/123/items/4567' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
    "vendor_order_item_status_id": 1,
    "accepted_quantity": 850,
    "expected_delivery_date": "2026-09-01T07:38:35.051Z"
}'

Example result:

{
    "meta": {
        "request_reference": "235chjz9h-c893v86"
    },
    "data": {
        "id": 4567,
        "vendor_order_id": 123,
        "vendor_order_item_status_id": 1,
        "model_number": "MODEL_309845",
        "asin": "ASIN34w5-068",
        "sku": "SKU_01",
        "product_variation_id": 687,
        "name": "Example Product 01",
        "expected_delivery_date": "2026-09-01T07:38:35.051Z",
        "confirmed_delivery_date": "2026-09-02T07:38:35.051Z",
        "submitted_quantity": 1000,
        "accepted_quantity": 850,
        "received_quantity": null,
        "unit_cost": 12.34,
        "created": "2026-08-27T07:38:35.051Z",
        "modified": "2026-08-27T07:38:35.051Z"
    }
}